libglom-1.20: Glom::LayoutItem_WithFormatting Class Reference

libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Glom::LayoutItem_WithFormatting Class Reference

A base class for all layout items that may have formatting options. More...

Inheritance diagram for Glom::LayoutItem_WithFormatting:
[legend]
Collaboration diagram for Glom::LayoutItem_WithFormatting:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_WithFormatting ()
| LayoutItem_WithFormatting (const LayoutItem_WithFormatting& src)
LayoutItem_WithFormatting& | operator= (const LayoutItem_WithFormatting& src)
virtual | ~LayoutItem_WithFormatting ()
bool | operator== (const LayoutItem_WithFormatting& src) const
virtual const FieldFormatting& | get_formatting_used () const
| Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.
virtual FieldFormatting::HorizontalAlignment | get_formatting_used_horizontal_alignment (bool for_details_view=false) const
| Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.
## Public Attributes
FieldFormatting | m_formatting

## Detailed Description

A base class for all layout items that may have formatting options.

See get_formatting_used().

## Constructor & Destructor Documentation

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( |  | ) |

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( | const LayoutItem_WithFormatting& | src | ) |

virtual Glom::LayoutItem_WithFormatting::~LayoutItem_WithFormatting | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const FieldFormatting& Glom::LayoutItem_WithFormatting::get_formatting_used | ( |  | ) | const`[virtual]`

Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.

Reimplemented in Glom::LayoutItem_Field.

virtual FieldFormatting::HorizontalAlignment Glom::LayoutItem_WithFormatting::get_formatting_used_horizontal_alignment | ( | bool | for_details_view = `false` | ) | const`[virtual]`

Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.

Note that this never returns HORIZONTAL_ALIGNMENT_AUTO.

Reimplemented in Glom::LayoutItem_Field.

LayoutItem_WithFormatting& Glom::LayoutItem_WithFormatting::operator= | ( | const LayoutItem_WithFormatting& | src | ) |

bool Glom::LayoutItem_WithFormatting::operator== | ( | const LayoutItem_WithFormatting& | src | ) | const

## Member Data Documentation

FieldFormatting Glom::LayoutItem_WithFormatting::m_formatting

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_withformatting.h